import { StiModelService } from "./model.service";
import * as i0 from "@angular/core";
export declare class StiUserService {
    model: StiModelService;
    private _currentUser;
    showLocalizationPreview: boolean;
    showUserInfo: boolean;
    previewX: number;
    previewY: number;
    licenseProducts: any;
    buildDate: Date;
    trialMessage: string;
    constructor(model: StiModelService);
    get currentUser(): any;
    set currentUser(value: any);
    getBackground(user: any): string;
    checkLicense(): void;
    resetTrial(): void;
    showTrial(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiUserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiUserService>;
}
